<div id="edit-follow-modal" class="modal show" aria-hidden="true">
    <div class="modal-dialog">
        <div class="close-modal d-flex align-items-center mobile" data-dismiss="modal">
            <i class="fas fa-arrow-left"></i>
            <div>Back</div>
        </div>
        <form method="post" action="<?= $this->getLink('follow-edit') ?>" class="modal-content box-section">

        </form>
    </div>
</div>

<? if ($this->followed_users): ?>
    <? foreach ($this->followed_users as $follow): ?>

        <div class="escort-container-info escort-container-info-follow d-flex align-items-center my-3">
            <? if ($follow['type'] == 'escort'): ?>
                <? $escort_photo = new Model_Escort_PhotoItem(array(
                    'escort_id' => $follow['type_id'],
                    'hash' => $follow['hash'],
                    'ext' => $follow['ext']
                ));
                ?>
                <div class="image bg-image image-follow"
                     style="background-image: url('<?= $escort_photo->getUrl('follow_thumb') ?>');"></div>
            <? else: ?>
                <div class="image bg-image image-follow"
                     style="background-image: url('<?= $this->agency_model->getLogoUrlV2($follow['agency_hash'], $follow['agency_ext'], "follow_thumb") ?>');"></div>
            <? endif; ?>
            <div class="escort-info escort-info-follow" data-id="<?= $follow['id'] ?>">
                <div  class="toggle-top-10 star-container <?= $follow['in_top_10'] ? 'active' : '' ?>">
                    <a title="<?= $follow['in_top_10'] ? __("in_top_10") : __('not_in_top_10') ?>" data-toggle="tooltip" ><i
                                class="fas fa-star"></i></a>
                </div>
                <div>
                    <div class="name">
                        <? if ($follow['type'] == 'escort'): ?>
                            <a target="_blank"
                               href="<?= $this->getLink('profile', array('escort_id' => $follow['type_id'], 'showname' => $follow["showname"])) ?>"
                               class="showname"><?= $this->t('escort') . ' ' . $follow["showname"] ?></a>
                        <? else: ?>
                            <a target="_blank"
                               href="<?= $this->getLink('agency-profile', array('agency_slug' => $follow['agency_slug'], 'agency_id' => $follow['type_id'])) ?>"
                               class="showname"><?= $this->t('agency') . ' ' . $follow['agency_name'] ?></a>
                        <? endif; ?>
                    </div>
                </div>
                <p class="d-inline-flex align-items-center text-grey small-text">
                    <? if ($follow['country']): ?>
                        <?= $follow['city'] ?> <span class="point"></span> <?= $follow['country'] ?>
                    <? endif; ?>
                </p>
                <p class="text-grey small-text font-italic">
                    <?= $follow['short_comment'] ?>
                </p>
                <div class="option-container option-container-follow">
                    <a href="#" data-type="<?= $follow['type'] ?>" data-type-id="<?= $follow['type_id'] ?>" data-follow-id="<?= $follow['id'] ?>"
                       class="text-uppercase edit-follow-trigger" data-toggle="modal" data-target="#edit-follow-modal"><span><?= __('edit_alerts') ?></span></a>
                    <a href="#" data-type="<?= $follow['type'] ?>" data-type-id="<?= $follow['type_id'] ?>"
                       class="text-uppercase remove-follow-trigger"><?= __('unfollow') ?></a>
                </div>
            </div>
        </div>

    <? endforeach; ?>
<? else: ?>
    <div class="no-follow-escorts">
        <p class="text-grey"><?= __('not_following_escorts') ?></p>    
    </div>
<? endif; ?>

<div class="mb-40"></div>

<!-- Pagination -->
<?
    $pages_count = ceil($this->count / $this->per_page);
?>
<? if ($pages_count != 1): ?>
    <section id="paging"
             class="pagination-container d-flex justify-content-sm-center justify-content-md-between align-items-center">
        <div class="pagination d-flex align-items-center">
            <? $pages = $this->paging($this->count, $this->page, $this->per_page, 7, 3); ?>

            <? foreach ($pages as $page): ?>
                <? if ($this->page == $page): ?>
                    <a class="page-number grey active"><b><?= $page ?></b></a>
                <? else: ?>
                    <a class="page-number grey set-filter" data-page="<?= $page ?>">
                        <?= $page ?></a>
                <? endif; ?>
            <? endforeach; ?>
        </div>
        <? if ($pages_count > $this->page): ?>
            <a class="next btn btn-brown uppercase set-filter" data-page="<?= $this->page + 1 ?>" href="#">
                <?= __("next_page") ?></a>
        <? endif; ?>
    </section>
<? endif; ?>
<!-- / -->
			
	